- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# QSqlIndex Class Reference

Search for all occurrences

## Detailed Description

Definition at line 55 of file qsqlindex.h.

`#include <qsqlindex.h>`

Inheritance diagram for QSqlIndex:
[legend]

List of all members.

## Public Member Functions
| QSqlIndex (const QString &cursorName=QString(), const QString &name=QString())
| QSqlIndex (const QSqlIndex &other)
| ~QSqlIndex ()
QSqlIndex & | operator= (const QSqlIndex &other)
void | setCursorName (const QString &cursorName)
QString | cursorName () const
void | setName (const QString &name)
QString | name () const
void | append (const QSqlField &field)
void | append (const QSqlField &field, bool desc)
bool | isDescending (int i) const
void | setDescending (int i, bool desc)

## Constructor & Destructor Documentation

QSqlIndex | ( | const QString & | cursorName = `QString()`,
|  | const QString & | name = `QString()`
| ) |  |

QSqlIndex | ( | const QSqlIndex & | other | ) |

~QSqlIndex | ( |  | ) |

## Member Function Documentation

QSqlIndex& operator= | ( | const QSqlIndex & | other | ) |

void setCursorName | ( | const QString & | cursorName | ) |

Search for all occurrences

QString cursorName | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 63 of file qsqlindex.h.

    { return cursor; }

void setName | ( | const QString & | name | ) |

Search for all occurrences

QString name | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 65 of file qsqlindex.h.

    { return nm; }

void append | ( | const QSqlField & | field | ) |

Search for all occurrences

Reimplemented from QSqlRecord.

void append | ( | const QSqlField & | field,
|  | bool | desc
| ) |  |

Search for all occurrences

bool isDescending | ( | int | i | ) | const

Search for all occurrences

void setDescending | ( | int | i,
|  | bool | desc
| ) |  |

Search for all occurrences

The documentation for this class was generated from the following file:

- QtSql/qsqlindex.h

QSqlIndex QSqlIndex QSqlIndex QSqlIndex QSqlIndex QSqlIndex QSqlIndex QSqlIndex QSqlIndex QSqlIndex
QSqlIndex QSqlIndex QSqlIndex QSqlIndex QSqlIndex QSqlIndex QSqlIndex QSqlIndex QSqlIndex QSqlIndex